precision highp float;

varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform float strength;
uniform float color;

void main(){
    vec4 color1 = texture2D(inputImageTexture, textureCoordinate);
    vec4 color2 = texture2D(inputImageTexture2, textureCoordinate);
    vec4 mask = texture2D(inputImageTexture3, textureCoordinate);
    float r = mask.r < 0.1 ? 0. : mask.r;
    if (color > 0.0) {
        gl_FragColor = mix(color1, color2, strength * r);
    } else {
        gl_FragColor = mix(color1, color2, strength * mask.a);
    }
}
